wiki:YumRepositories5

Version 1 (modified by thomas, 11 years ago) (diff)

--

List of software/Yum repositories and software locations for PUIAS 5 and how to use them.

  1. Core Operating System Repositories for PU_IAS 5
  2. Core Operating System Updates For PU_IAS 1 and 1WS
  3. Addons for PU_IAS 1WS
  4. Cluster Suite For 1/1WS

Core Operating System Repositories for PU_IAS 5

puias 5 (i386) http://www.elders.princeton.edu/data/puias/5/en/os/i386
puias 5 (x86_64) http://www.elders.princeton.edu/data/puias/5/en/os/x86_64

There are several directories under this directory that hold the different categories of install.

Client Client installation
ClientAddons? Additional Supported Packages for Client installation
Cluster Cluster configuration packages
ClusterStorage? Clustered filesystem support
Server Server installation
ServerAddons? Additional Supported Packages for Server installation
VT Virtual Machine packages
Workstation Workstation installation
WorkstationAddons? Additional supported packages for Workstation installation

A workstation in this case is a machine used for development work whereas a client is used primarily for desktop software usage.

The above URLs can be used with 1/1WS version of yum (2.0.*) and are preconfigured in the default yum.conf

Core Operating System Updates For PU_IAS 1 and 1WS

The core operating system updates - as rebuilt locally from Red Hat's free sources (in no way supported by Red Hat!) - are located in:

http://www.elders.princeton.edu/data/other/PU_IAS/local/updates/1/en/os

Here you can find all the current and old updates. There is no need to use this repository for regular updating as all the updates are integrated into core operating system repositories.

Addons for PU_IAS 1WS

The addons repository contains rpms not shipped with core Red Hat or rpms replacing original rpms (as rebuilt from sources shipped by the Red Hat). Some examples of rpms located in this repository include xine (multimedia), firefox and thunderbird (not included in RHEL 3) and others. PU_IAS 1WS is the result of merging the core PU_IAS 1 installation image together with PU_IAS 1WS addons. In other words there is no need to add this repository if you are using 1WS. If you add this repository to PU_IAS 1 installation you will effectively make it PU_IAS 1WS installation. The addons repository is located at:

http://www.elders.princeton.edu/data/other/PU_IAS/local/addons/1/

We do not recommend using this repository directly but instead either install PU_IAS 1WS or else upgrade PU_IAS-release by installing:

32 bit (i386) installation: rpm -Uhv http://www.elders.princeton.edu/data/other/PU_IAS/local/addons/1/i386/PU_IAS-release-1WS-1.i386.rpm
64 bit (x86_64/ia32e) installation: rpm -Uhv http://www.elders.princeton.edu/data/other/PU_IAS/local/addons/1/x86_64/PU_IAS-release-1WS-1.x86_64.rpm

Cluster Suite For 1/1WS

Cluster suite repository for 1/1WS contains the rebuild of Red Hat's RHCS repository - Red Hat Cluster Suite - for RHEL 3. This local rebuild is in no way supported by Red Hat. The repository is located at:

http://www.elders.princeton.edu/data/other/PU_IAS/local/updates/1/en/RHCS/

In order to start using it please add the following to the end of your yum.conf:

[PU_IAS-CS]
name=PU_IAS Cluster Suite $releasever
baseurl=http://www.elders.princeton.edu/data/other/PU_IAS/local/updates/$releasever/en/RHCS/
GFS for 1/1WS

GFS repository for 1/1WS contains the rebuild of Red Hat's RHGFS repository - Red Hat Global File System - for RHEL3. This local rebuild is in no way supported by Red Hat. The repository is located at:

http://www.elders.princeton.edu/data/other/PU_IAS/local/updates/1/en/RHGFS/

In order to start using it please add the following to the end of your yum.conf:

[PU_IAS-GFS]
name=PU_IAS GFS $releasever
baseurl=http://www.elders.princeton.edu/data/other/PU_IAS/local/updates/$releasever/en/RHGFS/ 
Unsupported Software Repository for 1/1WS

The unsupported repository for 1/1WS contains various rpms that we have found useful but for which we cannot pledge any long term support. We may not be able to update them with new versions or even provide security updates in past versions - i.e. we might ask you to upgrade to the latest PU_IAS distribution version instead of updating software in this repository and use the latest's unsupported repository. You still might find rpms in this repository useful, e.g. you can find denyhosts (and python24 which it requires to run) which can help you with ssh scans. The repository is located at:

http://www.elders.princeton.edu/data/other/PU_IAS/local/unsupported/1/

In order to start using it please add the following to the end of your yum.conf:

[PU_IAS-Unsupported]
name=PU_IAS Unsupported $releasever
baseurl=http://www.elders.princeton.edu/data/other/PU_IAS/local/unsupported/$releasever/